iSiloBSD(1)

NAME
iSiloBSD - Convert text and HTML to iSilo Palm Pilot format

SYNOPSIS
iSiloBSD [-h | -?]
iSiloBSD [-cy] [-dmax_depth] [-ititle] [-I] [-Ialt] [-] [-Id] [-Ismax_width] [-Idef] [-rCR] [-rLF] [-sLBnum_spaces] [-tLBnum_breaks] [-tSnum_spaces] source_file [target_file]

DESCRIPTION
In the first synopsis form, iSiloBSD displays a brief help message, and exits. In the second synopsis form, iSiloBSD converts source_file to source_file.pdb or target_file if that option is provided.

source_file can be either plain text or HTML. If it is HTML then a good facsimile of the formatting and links are retained in target_file, as are (optionally) images.

The following options are provided:

-c  Convert CR to LF.

-y  Overwrite the destination file if it exists.

-dmax_depth
    Maximum depth to follow links. 0 means only convert the first page.

-ititle
    The document title. Defaults to the name of the source file. Remember to quote as necessary. E.g., "-iThe FreeBSD Handbook".

-I  Include images.

-Ialt
    Include the alternative text for each image.

-   Improve image contrast.

-Id Dither images

-Ismax_width
    Scale images to at most max_width pixels wide. Defaults to 156 if not specified.

-Idef
    Include images, and use these default options:

    -Ialt
        Include alternate text

    -   Improve image contrast

    -Id Dither images

    -Is156
        Scale images to maximum 156 pixels

-rCR
    Remove CR characters.

-rLF
    Remove LF characters.

-sLBnum_spaces
    Replace single line breaks with num_spaces spaces. If not specified, the default is 1.

-tLBnum_breaks
    Replace TAB characters with num_breaks line breaks. If not specified, the default is 2.

-tSnum_spaces
    Replace TAB characters with num_spaces spaces. If not specified, the default is 4.

AUTHORS
ISilo, and iSiloBSD are copyright DC & Co. For more information about iSilo, and to download the Palm Pilot reader for iSilo format documents, go to http://www.iSilo.com/.

This manual page was written by Nik Clayton <nik@FreeBSD.org>.